Bug 39705 - Outline/Style position/dimension fails to adapt to new MasterPage background.
Summary: Outline/Style position/dimension fails to adapt to new MasterPage background.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2011-07-31 20:03 UTC by Jeffrey
Modified: 2017-06-07 09:59 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots, see Comment 3 (349.77 KB, application/x-download)
2011-07-31 23:13 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeffrey 2011-07-31 20:03:11 UTC
What I found while working on an Impress EasyHack: Outline/Style position/dimension fails to adapt to new MasterPage background.

How to reproduce:

1. Open up Impress
2. Have the Master Page display column on your right. Select any one of the Master Page backgrounds, and click on the body or title text box (so you enter edit text box mode).
3. Once you have done so, switch to another Master Page background. What I have noticed is that the absolute coordinates and dimensions of the previous text boxes do not adjust, so the position and size of the text box is ill fitted for the new style and border Master Page. This occurs for both Title and Body/Outline.

Problem occurs on both LibreOffice 3.4  340m1(Build:103) and Master on OpenSuse Linux.
Comment 1 Jeffrey 2011-07-31 20:14:38 UTC
For example,
0. First examine the dimensions for the textboxes in Glacier and Keyboard
1. Select "Glacier" under Master Pages, notice the wide background borders for the outline
2. Click on the Outline Text Box to enter edit Mode
3. Switch to "Keyboard", notice that the original, thinner Outline Textbox that used to be there has been replaced by the wider "Glacier" textbox, resulting is a discomforting looking slide.
Comment 2 Yifan Jiang 2011-07-31 20:26:05 UTC
Also reproduced on 3.4.2.3, SLED 11 sp1 i586.
Comment 3 Rainer Bielefeld Retired 2011-07-31 23:13:13 UTC
After some thinking I understood that "Keyboard" is a presentation template and then I was able to do a test.

[Reproducible] with "LibreOffice 3.4.2 RC3 - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]", so OS -> All

Steps to reproduce
1. Open new Presentation directly with "Create"
2. Select template "Keyboard" in Task area / Masterpages
3. check position and size or textbox "Click to add Title"
   Position X=23 Y=20 232x35 (also see screenshot)
4. Close without saving, redo step 1 for new presentation
5. Select template "Glacier"
6. Follow advice "Click to add Title", click into text box
   "Click to add Title" disappears, edit mode, caret flashes in textbox
7. Select template "Keyboard" in Task area / Masterpages
8. Check position and size of title text box (you already see that widths is 
   too big
   Expected: as in step 3
   Actual: Position X=10 Y=10 260x27 (also see screenshot)

Additional information:
It seems that the problem only under very particular circumstances is visible. Does not happen when also type "x" in step 6, but also happens when you first select template "Keyboard", check "Position and Size" of title text box, press some <Esc> and then select template "Glacier" (see third screenshot)

Heritage from OOo, also see that with OOo 3.1.1, so Version -> First


Still a problem in Master "LibO-dev 3.4.5  – WIN7  Home Premium  (64bit) English UI 
[(Build ID:d337f79-a24c961-2865670-9752b71-7f8fd43
	2fdd60d-fd28b6a-fd7bf20-aa369cb-28da3fb
	6a9633a-931d089-ecd263f-c9b55e9-b31b807
	82ff335-599f7e9-bc6a545-1926fdf)]"


@Radek:
Please feel free to reassign if it’s not your area.
Comment 4 Rainer Bielefeld Retired 2011-07-31 23:13:57 UTC
Created attachment 49771 [details]
Screenshots, see Comment 3
Comment 5 Björn Michaelsen 2011-12-23 13:23:37 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 6 ign_christian 2013-06-05 16:00:26 UTC
This bug has not been touched by for a long time. 
Just confirming, is this bug still ASSIGNED?
Comment 7 steve -_- 2015-05-03 08:07:46 UTC
obviously not assigned. freeing bug.
Comment 8 QA Administrators 2016-09-20 09:37:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.5 or 5.2.1  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20160920